Renaming View not working

Hi,
Can anyone help me why is this not working form me?

It’s not normal that it does not work
Try this node thereCapture

1 Like

try this code:

#Different form of renaming element function
#From clockwork package
    def reNaming(fam1,search1,replace1,name1):
    	newNamez = name1.Replace(search1,replace1)
    	try:
    		if fam1.GetType().ToString() == "Autodesk.Revit.DB.FamilyParameter":	
    			doc.FamilyManager.RenameParameter(fam1, newNamez)
    		else:
    			fam1.Name = newNamez
    		return newNamez
    	except:
    		return name1

but it should be the same as clockwork package because i modified it from there